import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  path: SortOrderSchema.optional(),
  isActive: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const BackupDestinationMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationMaxOrderByAggregateInput>;
export const BackupDestinationMaxOrderByAggregateInputObjectZodSchema = makeSchema();
